#pragma once

#include "CoreMinimal.h"
#include "PerformanceInteraction.h"
#include "DBDTunableRowHandle.h"
#include "GameplayTagContainer.h"
#include "S49P02Interaction.generated.h"

class ADBDPlayer;

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class US49P02Interaction : public UPerformanceInteraction
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _customSkillCheckTunedBaseSuccessZoneLength;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FGameplayTagContainer _higherPriorityInteractions;

protected:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_StopSound(ADBDPlayer* player);

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnAnimationStarted(ADBDPlayer* player);

public:
	US49P02Interaction();
};

FORCEINLINE uint32 GetTypeHash(const US49P02Interaction) { return 0; }
